cURL
curl --request GET \ --url https://app.sure.am/api/v1/trades/{id} \ --header 'X-Api-Key: <api-key>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "date": "2023-12-25", "amount": "<string>", "currency": "<string>", "name": "<string>", "qty": "<string>", "price": "<string>", "account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "account_type": "<string>" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "notes": "<string>", "investment_activity_label": "<string>", "security": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ticker": "<string>", "name": "<string>" }, "category": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" } }
API key for authentication. Generate one from your account settings.
Trade ID
trade retrieved
Formatted monetary amount (e.g. "$1,234.56")
Share quantity (negative for sells)
Formatted price per share
Show child attributes
Activity label (e.g. Buy, Sell, Dividend)
Was this page helpful?